%{
  #include <stdio.h>
  void echo(char *my) { printf( "A %s: %s\\n",my, yytext ); }
%}

DIGIT		 [0-9]
ALPHA		 [A-Za-z]

%%
[ \\t]*			{ echo ("colon");}
";"			{ echo ("colon"); }
"."			{ echo ("colon"); }
","			{ echo ("colon"); }
":"			{ echo ("colon"); }
".."			{ echo ("colon"); }
"<"			{ echo ("colon"); }
"<="			{ echo ("colon"); }
">"			{ echo ("colon");}
">="			{ echo ("colon");}
"="			{ echo ("colon");}
"<>"			{ echo ("colon");}
"("			{ echo ("colon");}
")"			{ echo ("colon");}
"["			{ echo ("colon");}
"]"			{ echo ("colon");}
"+"			{ echo ("colon");}
"-"			{ echo ("colon");}
"*"			{ echo ("colon");}
"div"			{ echo ("colon");}
"and"			{ echo ("colon");}
"or"			{ echo ("colon");}
":="			{ echo ("colon");}
"not"			{ echo ("colon");}
program			{ echo ("colon");}
type			{ echo ("colon");}
array			{ echo ("colon");}
of			{ echo ("colon");}
function		{ echo ("colon");}
begin			{ echo ("colon");}
end			{ echo ("colon");}
if			{ echo ("colon");}
then			{ echo ("colon");}
else			{ echo ("colon");}
for			{ echo ("colon");}
to			{ echo ("colon");}
integer			{ echo ("colon");}
do			{ echo ("colon");}
write			{ echo ("colon");}
read			{ echo ("colon");}
var			{ echo ("colon");}
{DIGIT}+		{ echo ("colon");}
{ALPHA}({ALPHA}|{DIGIT}|_)* { echo ("colon");}

.			{ printf(Bad keyword: %s\\n", yytext);}
%%
void main()
{
	yylex();
}